package cn.qinys.platform.mobile.service;

import cn.qinys.platform.mobile.req.WishCreateReq;
import cn.qinys.platform.mobile.resp.WishDetailResp;
import cn.qinys.platform.mobile.resp.WishListResp;

public interface WishService {

    WishListResp listByTree(Long treeId, Integer page, Integer pageSize);

    WishListResp listMyWishes(String userId, Integer page, Integer pageSize);

    WishDetailResp getDetail(Long id);

    WishDetailResp create(WishCreateReq req, String userId);

    boolean delete(Long id, String userId);

    int like(Long id);
}
